Introduction

The LEADTOOLS Screen Capture Toolbar is an easy-to-use utility that you can add to your Windows Taskbar in order to perform the following tasks:

  • Capture virtually any image or portion of an image from your monitor.

  • Specify and select a wide range of capture options and tools.

  • Save the captured images to many different file formats.

Supported Environments:

The LEADTOOLS Screen Capture Application Screen Capture Application and LEADTOOLS Screen Capture Toolbar come in WIN32 and x64 editions that can run under the following operating systems:

  • Microsoft Windows XP (32 and 64 bit)

  • Microsoft Windows 2003 (32 and 64 bit)

  • Microsoft Windows Vista (32 and 64 bit)

  • Microsoft Windows 7 (32 and 64 bit)

  • Microsoft Windows 8 (32 and 64 bit)

  • Microsoft Windows 8.1 (32 and 64 bit)

For instructions on how to display the LEADTOOLS Screen Capture Toolbar, refer to How to open and close the LEADTOOLS Screen Capture Toolbar

For instructions on how to use the LEADTOOLS Screen Capture Toolbar, refer to How to capture an image with the LEADTOOLS Screen Capture Toolbar

For more information on supported image formats and compression options, refer to:

Summary of All Supported Image File Formats

Compression Using LEAD and JPEG Formats

Compression Quality Factors


ePrint Documentation

LEADTOOLS is committed to fully documenting its products. Please feel free to contact us with any errors or omissions.

Microsoft HTML Help 1.0

Microsoft HTML Help 1.0 (.chm) files for all ePrint components and platforms are installed with your product. Help files are found on the installation path in the \Help\ subdirectory (for example, C:\Program Files (x86)\LEAD Technologies\LEADTOOLS ePrint 6 Professional\Help\).

WebHelp

WebHelp that contain the most-current version of LEADTOOLS documentation is available online at:

http://www.eprintdriver.com/help-files.html

For more information:

Specific help references for each ePrint component and platform are available as follows:

* Launch Help File

WebHelp (Online)

* NOTE: If a listed component is not installed on your system, its help button will not function. In this case, click the WebHelp link to browse full documentation online. To add a component, contact sales@leadtools.com

ePrint 6 Activation

ePrint 6 Professional

ePrint Terminal Server edition

LEADTOOLS Screen Capture Application

See Also:

Technical Support


Technical Support

As a registered user, free technical support is available. You must register your software to receive any technical support. Contact us through the following methods:

E-mail: | eprintsupport@leadtools.com
FAX: | (704) 372-8161
Home page: | http://www.eprintdriver.com
Forum: | http://support.leadtools.com/SupportPortal/cs/forums/26/ShowForum.aspx
FAQ: | http://www.eprintdriver.com/Support/Frequently-Asked-Questions

You can also contact LEAD by mail at:

LEAD Technologies, Inc.
Attn: Technical Support
Suite 200
1927 South Tryon Street
Charlotte, NC 28203

The online documentation can often answer any questions you may have.


Compression Using LEAD and JPEG Formats

Once you have captured an image, its file size can range from 100 kilobytes to more than 200 megabytes. Compressing color and grayscale graphic images provides the following advantages:

  • Dramatically decreases the storage requirements

  • Improves the input and output speed within a system

  • Improves the transmission speed over networks or phone lines

With LEADTOOLS Screen Capture you can control the amount of compression applied to your images, allowing image quality to match the needs of your application. The Compression Quality Factors setting allows you to specify how to handle the trade-off between maximum quality and minimum file size.

JPEG Compliant

LEADTOOLS API is fully JPEG compliant. Any file using compression that is compliant with the JPEG Interchange File Format can be viewed and converted.

4-bit and 1-bit Images

JPEG and LEAD CMP compression are intended for use with high-resolution images. They are impractical for use with 4-bit or 1-bit images. For these images, use CCITT, LEAD 1-bit, RLE, LZW, or ZIPLib compression methods.

8–24-bit Images

Created by LEAD Technologies, Inc., the LEAD CMP compression format delivers a much smaller file size and better image quality than other compression techniques, including JPEG. By incorporating LEAD and JPEG image compression, files can be reduced to 200 times smaller than their original size, allowing you to develop applications that would be impractical otherwise.

Normally, to compress an 8-bit color image, internal JPEG compression functions must first convert the 8-bit data into raw RGB 24-bit format before compressing it as a color image. LEAD's CMP file format allows for decompression of a 24-bit medium at 24-bit color, or of an 8-bit medium at 8-bit color, without sacrificing image quality. This eliminates the need to save both an 8-bit file and a 24-bit file, or to convert all images to 8 bits in order to support low-end users. The result is a single file, of much smaller file size, that can be viewed on a 24-bit video card at 24-bit true color, as well as on an 8-bit VGA card at 256 colors. Thus, compressing the original 24-bit image actually results in a smaller file size and higher quality than compressing an optimized 8-bit color image.

LEADTOOLS functions compress 8-bit grayscale as 8-bit grayscale JPEG or CMP images. LEAD's CMW file format uses Wavelet CMP compression. Currently, 24-bit color images and 8, 12 and 16-bit grayscale images are supported in this format.

For more information on LEAD and JPEG compression formats, as well as other supported formats, refer to Summary of All Supported Image File Formats


Compression Quality Factors

You can specify a quality factor when saving an image file to LEAD, JFIF, LEAD2JFIF, LEAD2JFIF, JTIF, LEAD1JTIF, and LEAD2JTIF formats. The quality factor (Q factor) is a number that determines the degree of loss in the compression process. You can set a value from 2 to 255, with 2 representing the highest quality and 255 representing the most compression.

For JFIF and JTIF compression only, you can also use a factor of 0 to produce lossless JPEG files

For LEAD CMP compression only, you can also use one of the following enhanced options:

Q Factor | Predefined options for LEAD only
PQ1 | Perfect quality 1 This option compresses all colors of a 24-bit file and maintains the quality of the original image at a smaller file size. As the name suggests, there is no visual loss of color at this setting.
PQ2 | Perfect quality 2 This will produce a smaller file size than PQ1 while maintaining similar quality.
QFS | Quality far more important than size This option removes colors not noticed by the human eye. Most viewers cannot tell the difference between an image compressed at this level and the original image.
QMS | Quality more important than size While more colors are removed, most of them are colors or shades that are close to one another. The compressed image will appear very much like the original image. It will take some study to see the difference.
QS | Quality and size equally important This option provides the highest compression while maintaining good image quality. Try this option first, then move up or down the list accordingly to obtain acceptable compression size and image quality.
SQS | Size more important that quality (sharp) This option is recommended for images that have sharp edges. For example, an image that has a text overlay or an image with many straight lines. While it creates a larger file than the next option, it retains better edges.
SQT | Size more important than quality (less tiling) This option produces less tiling in the image than the previous options. However, it may distort text or straight lines. It is a good option for image database applications.
MCQ | Maximum compression keeping quality This option provides maximum compression while maintaining as high as possible image quality.
MC | Maximum compression This option gives maximum compression. It is equivalent to a Q factor of 255.


Copyright notice

Intellectual Property Rights Notice of Publisher

The software, documentation and related content contained in this work are ©Copyright LEAD Technologies, Inc. 1991-2014. ALL RIGHTS RESERVED

Portions hereof licensed under US patent 5,327,254 and foreign counterparts.

LEAD® and LEADTOOLS® are registered trademarks of LEAD Technologies, Inc. LEADTOOLS ePrint is a trademark of LEAD Technologies, Inc. All other brand or product names used in this online help are trademarks of their respective holders.

Address and Contact Information

LEAD Technologies, Inc.
1927 South Tryon Street
Suite 200
Charlotte, NC 28203
FAX: (704) 372-8161
Technical support: eprintsupport@leadtools.com
Home page: http://www.eprintdriver.com.

Third Party Notices

Portions of the PCDLIB32.DLL, PCDLIB.DLL, LFFPX7.DLL, LFKODAK.DLL, EKFPIXJPEG140.DLL, PDC_SDK.DLL, PROFIRE.DLL and DC120V154_32.DLL files contain material that is ©Copyright Eastman Kodak Company, 1996.

Portions of the LFFPX7.DLL and LFKODAK.DLL files contain material that is ©Copyright Hewlett Packard, 1996.

The "FlashPix" format uses Microsoft's OLE structured storage.

Important Note Concerning Licensed Fonts

Some fonts are subject to a license granted by the owner of the font that provides that the font may NOT be embedded or otherwise distributed without a license from the font owner. These fonts will be referred to herein as "Licensed Fonts". Users of ePrint are responsible for obtaining the necessary license from the owner of a Licensed Font if the user wishes to embed the Licensed Font.To determine if a font is a Licensed Font, see the list of Fonts in the Custom Font Embedding section of the Font Embedding Tab of ePrint Professional. Licensed Fonts display a locked padlock icon in the License column of the Custom Font Embedding list. Failure to obtain the necessary licenses may expose the user to legal claims by the owners of the Licensed Font. LEAD Technologies, Inc. assumes no responsibility for such claims


Summary of All Supported Image File Formats

LEADTOOLS Screen Capture Application supports over 140 file formats, including:

Color and Grayscale

AFP Format

BMP Formats

Computer Graphics Metafile (CGM)

DGN (DGN)

DICOM Format (DIC)

Dr. Halo (CUT)

DRaWing (DRW)

Drawing Interchange Format (DXF)

DWF Format (DWF)

DWG Format (DWG)

Encapsulated PostScript (EPS)

ESRI Shape (SHP) Format

Exif Formats (TIFF and JPG)

Flic Animation (FLC)

Gerber Format (GBR)

GIF and TIFF with LZW Compression

Icons and Cursors (ICO and CUR)

Interchange File Formats (IFF)

JBIG Format (JBG)

JPEG and LEAD Compressed (JPG, J2K, JP2, CMP, and CMW)

Kodak Formats (PCD and FPX)

Macintosh Pict Format (PCT)

Microsoft Windows Clipboard (CLP)

PCX Formats (PCX and DCX)

PhotoShop 3.0 Format (PSD)

PLT (PLT)

Portable Bitmap Utilities (PBM)

Portable Document Format (PDF)

Portable Network Graphics Format (PNG)

Printer Command Language Format (PCL)

PTOCA Format (PTOCA)

Scitex Continuous Tone Format

Silicon Graphics Image Format (SGI)

SUN Raster Format (RAS)

TIFF Without LZW Compression

Truevision TARGA Format (TGA)

Windows Animated Cursor (ANI)

Windows Metafile Formats (WMF and EMF)

Wireless Bitmap Format (WBMP)

WordPerfect Format (WPG)

X WindowDump (XWD)

XPicMap (XPM)

Bitonal (1-Bit)

Image Object Content Architecture (IOCA/MODCA)

Intergraph Format (ITG)

LEAD 1-Bit Format (CMP)

Miscellaneous 1-Bit Formats (MAC, IMG, and MSP)

SMP Format (SMP)

TIFF CCITT and Other FAX Formats

XBitMap Format (XBM)


Multipage File Formats

LEADTOOLS supports the following multipage file formats:

Animated Gif

CALS3

DCX

FlashPix

IOCA/MODCA

Tiff(MPT)

Icons and Cursors (ICO and CUR)

Windows Animated Cursor (ANI)

Interchange File Formats (IFF)

AFP Format (AFP)

DICOM Format (DIC)

Drawing Interchange Format (DXF)

Flic Animation (FLC)

Portable Document Format (PDF)


AFP Format (AFP)

The AFP format is part of IBM's document imaging system. It is a raster format, created to add enhanced formatting and indexing capabilities to documents for print applications in finance, retail, insurance and other industries. LEAD provides support for the user to open MODCA/PTOCA or AFP/PTOCA documents.

The default extension used by this format is: AFP.

This format is used by the IBM plug in.

This file format does not support stamps or Lossless JPEG compression, but it does support multi-page files.

For AFP files, you can read the following bits per pixel: 24.

Currently, LEAD does not save AFP files, but these files can be saved to IOCA.


Windows Animated Cursor (ANI)

ANI is an animated cursor (animated mouse pointer). This file format is used for reading and storing Windows Animated Cursors. The LEADTOOLS filter does not support transparency information within these files.

Multipage ANI files will have an icon on each page.

For ANI files, you can read and write the following bits per pixel: 1, 4, 8, 24.


BMP Formats

LEADTOOLS ePrint Professional saves the following BMP formats:

  • Windows Bitmap (BMP). This is a file format created by Microsoft. Some BMP images are compressed with an RLE-type compression.

  • OS/2 Bitmap (OS/2 BMP). These are files created on an OS/2 operating system. LEADTOOLS ePrint Professional supports both 1.x and 2.x formats.


Computer Graphics Metafile (CGM)

Computer Graphics Metafile is a format used for the exchange of vector and bitmap data. This file format is supported by Autovue and Corel. LEADTOOLS ePrint Professional supports versions 1, 2, 3 and 4 of CGM, as well as the Binary data-encoding format of CGM.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Circle | Not Supported
Circular Arc Center | Not Supported
Ellipse | Supported
Elliptical Arc | Not Supported
Font | Supported
Lines | Supported
PolyBezier | Not Supported
Polygons | Supported
Polyline | Supported
Rectangle | Supported
Text | Supported

This file format does not support layers.

When CGM files are rasterized, they are 24 BPP.

Related Formats: DRW - Micrografx Designer DRaWing, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


Microsoft Windows Clipboard (CLP)

CLP stands for Microsoft Windows Clipboard. This file format is used to store the contents of the clipboard to disk. The clipboard is an area of memory shared by the Windows operating system, and it is a simple mechanism for exchanging data between applications.


Dr Halo (CUT)

Dr. Halo files are device-independent images. The image is stored in one file (.CUT) and the palette is stored in a separate file (PAL). If the image has no corresponding .PAL file, it is considered a grayscale image.

For CUT files, you can save the following bits per pixel: 8.


DGN (DGN)

DGN (also RDL) is a file format common to Intergraph's MicroStation and Interactive Graphics Design System (IGDS) CAD applications running on Intergraph workstations and PCs.

LEADTOOLS supports DGN versions 1, 2 and 3.

For DGN files, you can read the following bits per pixel: 24.


DICOM Format (DIC)

DICOM (DIC) files are commonly used in medical images. LEADTOOLS reads a broad range of DICOM formats, converting them to LEAD-supported bits-per-pixel as necessary. LEADTOOLS writes DICOM files in the LEAD-supported bits-per-pixel. DICOM files can contain many comment fields of various types.

You can read DICOM files as follows:

  • Grayscale files in the 1- to 16-bit range are loaded as they are in the original file.

  • Palettized color files in the 1- to 16-bit range are converted to 8-bit palettized or 24-bit unpalettized. By default, they are converted to 24-bit only if the palette contains more than 256 colors.

  • Unpalettized color files (RGB, ARGB, or CMYK) with 1 to 16 bits per plane are converted to 24-bit RGB.

  • Read multipage DICOM files by setting the page number.

You can write DICOM files as 8, 12, or 16-bit grayscale, 8-bit palettized color, or 24-bit RGB color (8 bits per plane).


DRaWing (DRW)

DRW (DRaWing) is a native format used in the popular Micrografx Designer CAD/CAM/CAE application for the Windows operating system.

LEADTOOLS ePrint Professional supports versions 1, 2, 3, 4 and 5 of the DRW file format.

When DRW files are rasterized, they are 24 BPP.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Arc | Not Supported
Lines | Supported
Pie | Not Supported
Point | Supported
PolyDraw | Supported
Polygons | Supported
Polyline | Supported
Raster | Not Supported
Text | Supported

Related Formats: CGM - Computer Graphics Metafile, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


DWF Format (DWF)

DWF is a binary file format used by AutoDesk AutoCAD for storing DWG files on the World Wide

Web. DWF is a 2D, vector-based description of drawings and illustrations.

LEADTOOLS ePrint Professional supports DWF versions .4, .5, .55 and .6.

When DWF files are rasterized, they are 24 BPP.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Arc | Not Supported
Attdef | Not Supported
Attrib | Not Supported
BoundaryPolydraw | Not Supported
Circle | Supported
Dimension | Not Supported
Ellipse | Supported
Hatch | Not Supported
Insert | Not Supported
Leader | Not Supported
Lines | Supported
Mline | Not Supported
Mtext | Not Supported
Polygons | Not Supported
Polyline | Supported
PureLine | Not Supported
PurePolygon | Not Supported
PurePolyline | Not Supported
Segment | Not Supported
Spline | Not Supported
Text | Supported
Vertex | Not Supported
Wpolyline | Not Supported
3Dface | Not Supported
3Dsolid | Not Supported

LEADTOOLS ePrint Professional also supports text and embedded raster objects.

Related Formats: CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


DWG Format (DWG)

DWG is a binary file format used by AutoDesk AutoCAD. It can contain 2D or 3D objects and offers compression and a CRC check for internal data.

LEADTOOLS supports DWG 12, 13, 14 and 15 files with the following object types: TEXT, BLOCK, INSERT, MINSERT, VERTEX_2D, VERTEX_3D, VERTEX_MESH, VERTEX_PFACE, VERTEX_PFACE_MESH, POLYLINE_2D, POLYLINE_3D, ARC, CIRCLE, LINE, POINT, 3DFCE, POLYLINE_PFACE, POLYLINE_MESH, SOLID, TRACE, ELLIPSE, SPLINE, MTEXT and LWPOLYLINE.

LEAD supports the object types listed above, as well as, layers and the grouping of objects. Embedded raster objects are not supported.

For DWG files, you can read the following bits per pixel: 24.


Drawing Interchange Format (DXF)

DXF (Drawing Interchange Format) was first introduced by AutoDesk AutoCAD, and is one of the most widely used CAD/CAM/CAE applications in the world. DXF is very popular and is supported by most 3D formats on PC platforms.

A DXF file is an ASCII file containing 2D and 3D components representing a drawing. Those components are known as Entities. The DXF file can represent almost any CAD drawing using those entities, and can connect a group of entities together (such as windows, doors, etc.) and use them later in the file. The DXF file has seen many changes through the years, from version 2.6 to the latest release version 14. However, the latest release of AutoCAD still manages to open files created with any of the earlier versions.

LEADTOOLS ePrint Professional supports all current variations of the DXF format (versions 2.6, 9, 10, 11, 12, 13, 14).

Users can save a DXF file to any file format supported by LEADTOOLS ePrint Professional.

DXF format supports saving with the following versions:

  • R12: Create DXF format (version 12). Note that this version doesn't support saving raster images.

  • R13: Create DXF format (version 13) with support saving raster images inside.

  • Tiff DXF: DXF (version 13) will be saved in a multi-page TIFF file.

When DXF files are rasterized, they are 24 BPP.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Arc | Supported
Attdef | Not Supported
Attrib | Not Supported
Circle | Supported
Clone | Supported
Ellipse | Supported
Elliptical Arc | Not Supported
Insert | Not Supported
Leader | Not Supported
Lines | Supported
Mtext | Supported
Polygons | Supported
PolyLine | Supported
Raster | Not Supported
Solid | Not Supported
Spline | Not Supported
Text | Supported
Tolerance | Not Supported
Vertex | Supported
WpolyLine | Not Supported
3Dface | Not Supported

Related Formats: CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DWF - DWF Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


Exif Formats (TIFF and JPG)

Exif is a standard for image files created with digital cameras and other input devices. The standard is set by the Japan Electronic Industry Development Association, and formally it is called the Digital Still Camera Image File Format Standard.

Exif files contain either uncompressed TIFF images or compressed JPEG images. In addition, these files can contain many comment fields of various types.

LEADTOOLS ePrint Professional saves the following Exif formats:

  • TIFF. This is a tag-based file format designed to promote universal interchanges of digital image data. You can save any image size.

  • JPG. This is the JPEG format with YUV 4:2:2 sampling. You can save any image size.

An Exif JPG file can also contain a stamp (thumbnail) image, which is a small copy of the main image. The stamp size has been restricted to 160x120x24. That limitation has been imposed in order to conform with the ExifR98 interoperability rules imposed by Japanese digital camera manufacturers.

If you are working with uncompressed (TIFF) Exif files, the stamp size is (width x height x 24 bpp), with no limitations on width and height.

Related Formats:

JPG - JPEG Compressed

TIFF - Tagged Image File Format


Flic Animation (FLC)

The Flic file is an animation file created by Auto-desk. This file supports image data but not audio data.

The frames of this file can be of 8bpp image data. The maximum number of frames is 4000.

The FLC file supports up to 64k X 64k images with 256 colors per image.

LEADTOOLS ePrint Professional supports saving multi-page files in this format.

Related Formats:

GIF - GIF Format.


Gerber Format (GBR)

The Gerber file format is a vector – based format used by GerbTools, ViewMate and CamTastic as a simple way of transferring printed circuit board information to a wide variety of devices. The Extended Gerber Format (RS-274X) handles information for defining shapes and sizes of lines and other features. This format supports Polygons, Circles, Ovals, Outlines, Arcs, Lines, Rectangles, Moire and Thermal.

The default extension used by this format is: GBR.

This file format does support layers.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Arc | Supported
Chord | Supported
Circle | Supported
Lines | Supported
Polygons | Supported
Rectangle | Not Supported

Related Formats: CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


Icons and Cursors (ICO and CUR)

LEADTOOLS reads and writes Windows Icon and Cursor files. LEADTOOLS is not designed as an icon editor, but this file support lets you create a bitmap from an icon or cursor, or create an icon or cursor from a bitmap. The library (DLL) to support these formats is the same as for BMP files.

LEADTOOLS supports these file formats as follows:

  • Windows Icon (ICO). This is a multipage file format for storing one or more Windows icons. The background color when you read these images is always black. The size when you write these images can be no larger than 255-by-255 pixels. (Neither the width nor height can be greater than 255.)

You can read and write 1, 4, 8, 16, 24, and 32-bit, single-page or multi-page files.

  • Windows Cursor (CUR). This is a file format for storing Windows cursors (mouse pointers). LEADTOOLS does not load or save transparency information in these files. The size when you write these images should be exactly 32-by-32 pixels.

You can read and write 1, 4, 8, and 24-bit, single-page or multi-page files.


Interchange File Format (IFF)

The IFF (Amiga Interchange) format is a general-purpose data storage format (raster), developed by Electronic Arts, Inc. and Commodore-Amiga, Inc. that can associate and store multiple types of data. It is used by ACD FotoCanvas Lite 2.0 and XnView applications.

IFF saves RLE and non-compressed images. IFF CAT supports multi-page files.

The default extension for this format is: IFF.


JBIG Format (JBG)

JBIG (JBG) is an industry standard lossless compressed file format for bi-tonal (black and white), grayscale and color images. LEAD’s JBIG support is comprehensive and handles the various flavors and bits per pixel as defined by the specification including progressive, where you can store and send multiple representations of images at different resolutions without any extra storage overhead. In order to achieve highest compression ratios available by the JBIG format, LEAD also takes full advantage of all the functional blocks of this robust standard including the Adaptive Arithmetic Encoder, the Adaptive Template Block, the Typical Prediction Block, the Resolution Reduction Block, and the Deterministic Prediction Block. Saving images in a JBIG format results in smaller image files sizes when compared to other industry standard compressed formats such as CCITT G3 or G4.

For JBIG files, you can read and write the following bits per pixel: 1, 2, 3, 4, 5, 6, 7, 8, 12, 16, 24, 32.


JPEG and LEAD Compressed (JPG, J2K, JP2, CMP, and CMW)

LEADTOOLS ePrint Professional saves the following LEAD and JPEG compressed formats:

  • LEAD. This is the LEAD CMP compressed format for grayscale and color images. This format results in smaller files and better image quality than industry-standard formats. In addition, LEAD also supports CMW files, which use Wavelet CMP compression in 8, 12, and 16-bit grayscale and 24-bit color.

  • Progressive LEAD. This is a LEAD format that is useful for transmitting images, because the first part of the file contains the full dimensions of the image. In this format you can save 8 or 24 bits per pixel, where 8 is for grayscale and 24 is for color.

  • Lossy JFIF. This is the JPEG File Interchange Format. LEADTOOLS ePrint Professional supports YUV 4:4:4, 4:2:2, and 4:1:1 color spacing, and YUV 4:0:0 for grayscale.

  • Lossless JFIF. This is the JPEG File Interchange Format. LEADTOOLS ePrint Professional supports 8, 12, and 16-bit grayscale and 24-bit color spacing. Please note that not all applications support Lossless JPEG. Before saving a file using Lossless JPEG, make sure your reader supports it.

Both JPEG 4:4:4 and Lossless JPEG will be recognized when getting file information.

  • Progressive JPEG. This is a JFIF format that is useful for transmitting images, because the first part of the file contains the full dimensions of the image. LEADTOOLS ePrint Professional supports YUV 4:4:4, 4:2:2, and 4:1:1 color spacing, and YUV 4:0:0 for grayscale.

  • Lossy JTIF. This is the JPEG Tagged Interchange Format. LEADTOOLS ePrint Professional supports YUV 4:4:4, 4:2:2, and 4:1:1 color spacing, and YUV 4:0:0 for grayscale.

  • Lossless JTIF. This is the JPEG Tagged Interchange Format. LEADTOOLS ePrint Professional supports 8, 12, and 16-bit grayscale and 24-bit color spacing. Please note that not all applications support Lossless JPEG. Before saving a file using Lossless JPEG, make sure your reader supports it.

  • Both TIFF JPEG 4:4:4 and Lossless JPEG will be recognized when getting file information.

  • J2K – Lossy or Lossless. This is a JPEG 2000 Format. LEADTOOLS ePrint Professional can save 8 - 16-bit grayscale and 24, 27, 30, 33, 36, 39, 42, 45 and 48--bit color images. The J2K format contains only a stream of image data

  • JP2 – Lossy or Lossless. This is a JPEG 2000 Format. LEADTOOLS ePrint Professional can save 8 - 16-bit grayscale and 24, 27, 30, 33, 36, 39, 42, 45 and 48--bit color images. The JP2 format contains a stream of image data, plus extra data about the organization and contents of the file.

  • TIF J2K – Lossy or Lossless. This is a Tagged Image File with JPEG 2000 Compression. This file format contains only a stream of image data. LEADTOOLS ePrint Professional supports 8, 12, and 16-bit grayscale and 24-bit color spacing.

For information about compression, refer to Compression Using LEAD and JPEG Formats and Compression Quality Factors.


Kodak Formats (PCD and FPX)

LEADTOOLS supports the following Kodak formats:

  • PhotoCD (PCD). This is a common high-resolution format for images on CD-ROM. An image file can contain one or more physical resolutions, with fixed dimensions. You can choose which resolution to load, and thus control the size of the resulting bitmap.

You can read the following bits per pixel: 8, 24.

You cannot write PhotoCD files. They are read-only.

  • FlashPix (FPX). (WIN32 only) The FlashPix file format was developed through the combined efforts of Eastman Kodak Company, Microsoft Corporation, Hewlett-Packard Company, and Live Picture Inc. It combines the best features of existing formats with object orientation to make the use of digital color images easier.

The format of a FlashPix file is based on compound object storage, which allows storage of various kinds of data. A FlashPix file may consist of several "pages" where each "page" has storage for a source image, non-image data in the form of comments, transform data, and a stamp or thumbnail. Each image is stored as an entire multi-resolution hierarchy where each resolution in the hierarchy differs from the next highest resolution by a factor of 2 in the x dimension and in the y dimension. Non-image data are treated as comments in FlashPix file format. Comments are used to store information pertaining to the image, not actual pixel data. This information may include image title, image subject, camera manufacturer, scan software version number, and so forth. In addition to the image itself, FlashPix files store transform information. This data indicates transformations which may be performed on the source image. By storing the transforms, the source image may be stored in its original state and transformed, using the stored transforms, at your discretion. A stamp, or thumbnail, provides a small bitmap representation of a FlashPix image.

You can read and write the following bits per pixel: 8, 24.


GIF and TIFF with LZW Compression

LEADTOOLS reads and writes the following LZW-compressed formats.

  • GIF. This is the Graphics Interchange Format created by CompuServe for storing and exchanging color raster images.

You can read and write the following bits per pixel: 1, 2, 3, 4, 5, 6, 7, 8.

  • Animated GIF. This is a multipage GIF format that can be played as an animation by displaying the images sequentially. LEADTOOLS lets you create and play the animations.

You can read and write the following bits per pixel: 1, 2, 3, 4, 5, 6, 7, 8.

  • TIFF LZW. These files use the Tagged Image File Format with LZW compression. LEADTOOLS can read and write TIFF files that use RGB, CMYK, or YCbCr color space.

You can read the following bits per pixel, without regard for the color space: 1, 2, 3, 4, 5, 6, 7, 8, 16, 24, 32, 48, 64.

You can write the following bits per pixel, with RGB color space: 1, 2, 3, 4, 5, 6, 7, 8, 16, 24, 32, 48, 64.

You can write the following bits per pixel, with CMYK color space: 24, 32.

You can write the following bits per pixel, with YCbCr color space: 24.

You can write 16- bit grayscale.


Portable Bitmap Utilities (PBM)

The Portable Bitmap Utilities consists of Portable Greymap Utilities (PGM), Portable Pixmap Utilities (PPM), and Portable Anymap Utilities (PNM). Their source is the UNIX environment.

Related Formats:

BMP - Windows Bitmap Formats.


Printer Command Language Format (PCL)

The Printer Command Language vector format was developed by Hewlett-Packard, specifically to provide a means of communication between computers and printers. The PCL files contain the commands and the HP printers parse and decode those commands. This format also includes HPGL. For more information about HPGL, refer to PLT.

LEADTOOLS ePrint Professional supports version 3.0 and 5.0 of this file format.

The default extensions used by this format are: PRN, PRT and PCL.

This format is used by Visual PCL, PCLTOOLS, redtitan EscapE and AutoVue.

This file format does not support layers or grouping, but it does support embedded raster objects.

PCL filter supports many features such as:

  • Support for Raster, text and rectangular area.

  • Support for Macros.

  • Enhanced performance of the filter.

  • Support for HPGL mode in PCL

  • Raster fonts

  • RTL Raster data

  • Support for all compression methods (RLE, TIFF, Delta, Adaptive and Unencoded).

  • Support for old versions of PCL v.3, besides v.5.

  • Viewing PJL with POSTSCRIPT data (requires the PDF filter)

  • Support for user-defined and pre-defined patterns

  • Support for Unicode symbols

  • Detecting non-standard PCL/HPGL files that lack a correct header

When PCL files are rasterized, they are 24 BPP.
When PLT files are rasterized, they are 4 BPP.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Arc | Supported
Circle | Supported
Lines | Supported
Pie | Supported
Point | Supported
PolyBezier | Not Supported
PolyDraw | Not Supported
Polygons | Not Supported
Polyline | Not Supported
Raster | Supported
Rectangle | Supported
Text | Supported

Related Formats: CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


Macintosh Pict Format (PCT)

Macintosh Pict (PCT) files are produced using Macintosh QuickDraw, and are used in desktop publishing and imaging applications.

When PCT files are rasterized, they are 24 BPP.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Arc | Supported
Background | Supported
Ellipse | Not Supported
Foreground | Supported
Lines | Supported
Point | Supported
Polygons | Not Supported
Rectangle | Not Supported
Text | Supported

Related Formats:

CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


PCX Formats (PCX and DCX)

LEADTOOLS ePrint Professional saves the following PCX formats:

  • PCX. This is a file format created by ZSoft. This format compresses its image data with the RLE type compression.

  • DCX. This is a multi-page PCX format that enables a file to contain more than one image. It is handled the same as a regular PCX file, except for the multi-page feature.

For PCX and DCX files, you can save the following bits per pixel: 1, 4, 8, 24.


Portable Document Format (PDF)

Portable Document Format (PDF). PDF was developed by the Adobe Corporation to allow the exchange and viewing of electronic documents easily and reliably, independent of the environment in which they were created. This format lets you compress large documents to a size small enough to download very quickly. It is also becoming a powerful format for reproducing documents over the web.

PDF file can contain raster or document format.

Special notes for the PDF Raster Format

LEADTOOLS ePrint Professional supports versions 1.2, 1.3 and 1.4 of this format. LEADTOOLS ePrint Professional also supports saving multi-page files in this format.

This filter can save PDF files that are JPEG, LZW, CCITT G1 1D, CCITT G3 2D, or CCITT G4 compressed, or uncompressed. In addition, this filter supports JBIG2 compressed PDF files.

(Note that not all flavors of JBIG2 decompression are supported.)

Related Formats:

PCL - Printer Command Language Format

PLT - PLT / HPGL Format


PLT (PLT)

PLT (also HPGL) is the standard language for printing line drawings created by Hewlett-Packard. HPGL is supported by many CAD programs, charting programs and word processors.

LEADTOOLS ePrint Professional supports HPGL and HPGL/2.

When PLT files are rasterized, they are 4 BPP.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Arc | Supported
Circle | Supported
Lines | Supported
Pie | Supported
PolyDraw | Not Supported
Polygons | Not Supported
Polyline | Not Supported
Rectangle | Supported
Text | Not Supported

Related Formats: CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


Portable Network Graphics Format (PNG)

PNG (Portable Network Graphics) is a replacement for the GIF format. It is a full-featured (non-LZW) compressed format intended for widespread use without legal restraints.

You can save the following bits per pixel: 1, 4, 8, 24, 32.

Related Formats:

GIF - GIF Format

JPG - JPEG Compressed.


Encapsulated PostScript (EPS)

PostScript Raster (Encapsulated PostScript). These files are used primarily on PostScript printers. These printers usually offer more variety of fonts and higher resolution than standard laser printers. EPS files will work on any PostScript compatible printer and any end-user application that supports placement of EPS files in its work space.

The image that you read from an EPS file can be either a PostScript raster image, an embedded TIFF image, or an embedded WMF image. The image that you write to an EPS file is always a PostScript raster image.

For a PostScript raster image, you can read the following bits per pixel: 1, 8.

For an embedded TIFF image, you can read the following bits per pixel: 1, 4, 8, 16, 24, 32.

For an embedded WMF file, you can read the following bits per pixel: 24.

You can write only an 8-bit PostScript raster image, which is grayscale.


PhotoShop 3.0 Format (PSD)

Photoshop 3.0 (PSD) is the format produced by the Adobe Photoshop graphics editor.

LEADTOOLS ePrint Professional supports RLE Compression for this file format.

You can also save layers to this file with the following bits per pixel: 8 (GrayScale), 24, and 32.


PTOCA Format (PTOCA)

The Presentation Text Object Content Architecture (PTOCA) is the data object used in document processing environments for representing text, which has been prepared for presentation. Each file contains one or more pages of text and is always included as part of a document in a MODCA file. Each page may reference a PTOCA Overlay, which is merged with the text as a background.

There is no default extension.

This format originated at IBM.

This file format does not support QFactor, progressive loads and saves, stamps or Lossless JPEG compression, but it does support multi-page files.

For PTK files, you can read the following bits per pixel: 24.

LEAD does not save PTK files.


Scitex Continuous Tone Format (SCT)

The Scitex Continuous Tone file format was developed by Scitex and is used for high-end image processing. The SCT/CT files are used primarily to store CMY and CMYK color space for the image. For saving the SCT file format, LEADTOOLS ePrint Professional saves it as CMY instead of CMYK. This maintains the image quality, since the conversion from RGB to CMYK will result in some loss of data.

The default extensions used by this format are: SCT and CT.


Silicon Graphics Image Format (SGI)

The SGI file format was developed at Silicon Graphics, and is used for black and white, gray-scale and color images. LEADTOOLS ePrint Professional supports both uncompressed SGI and RLE compressed SGI.


ESRI Shape Format (SHP)

The ESRI Shape format is a vector format created by the Environmental System Research Institute. The SHP file can support point, multi-point, polygon, polyline and multi-patches. This file format has a much faster drawing speed and more editing capabilities than other data sources. It is supported by the ARC Explorer 2.0 and ARCView.

This file format contains three files:

Main file: *.shp

Index file: *.shx

DBase file: *.dbf

This file format does not support layers, grouping objects or embedded raster objects.

When SHP files are rasterized, they are 24 BPP.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
PolyDraw | Not Supported
Polyline | Supported
Vertex | Not Supported

Related Formats: CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, WPG - WordPerfect Vector Format, WMF - Windows Metafile Formats


SUN Raster Format (RAS)

SUN Raster (RAS) is a format native to Sun UNIX platforms.

For RAS files, you can read and write the following bits per pixel: 1, 4, 8, 24, 32.


Truevision TARGA Format (TGA)

Truevision TGA (TARGA) is a file format created by Truevision Inc. LEADTOOLS ePrint Professional supports all uncompressed and RLE compressed TGA file formats.


Tagged Image File Format (TIFF)

TIFF is a tag-based file format designed to promote universal interchanges of digital image data. Because TIFF files do not have a single way to store image data, there are many versions of TIFF. LEADTOOLS ePrint Professional supports the most common TIFF formats. The usual file extension is TIFF for single-image files, and MPT for multi-page files (which can contain many images). TIFF files can contain many comment fields of various types.

LEADTOOLS ePrint Professional also supports the ability to save a vector image as a DXF within a TIFF.

LEADTOOLS ePrint Professional supports saving multi-page files in this format.

LEADTOOLS ePrint Professional can save TIFF files that use RGB, CMYK, or YCbCr color space. LEADTOOLS ePrint Professional can also save files with PackBits compression.

LEADTOOLS ePrint Professional can also save files with Lossless JPEG compression for 8, 12, and 16-bit grayscale and 24-bit color spacing.

You can save 12- bits grayscale.

You can save 16- bits grayscale.

Related Formats:

CMP - LEAD Compressed

CMP - LEAD 1-Bit Format

EXIF - Exif Formats

JPG - JPEG Compressed

JP2 - JPEG 2000 Compressed

TIFX - Xerox Internet Fax File Format.


Wireless Bitmap Format (WBMP)

The Wireless Bitmap file format is a 1-bit format used to send graphical information to a variety of handsets. It is terminal independent and describes only graphical information.

For Wireless Bitmap files, you can read the following bits per pixel: 1.

For Wireless Bitmap files, you can write the following bits per pixel: 1.


Windows Metafile Formats (WMF and EMF)

The Windows Metafile (WMF and EMF) formats are vector formats that may or may not also contain a raster image.

EMF/WMF Vector files can be written as raster images in the non-vector toolkits.

When WMF and EMF files are rasterized, they are either 8 or 24 BPP.

The following table indicates which objects LEADTOOLS ePrint Professional can save:

Object: | Save:
Arc | Supported
Background color and mode | Supported
Chord | Supported
Circle | Supported
Color | Supported
Ellipse | Supported
HPolyBezier | Supported
Lines | Supported
Pie | Supported
PolyBezier | Supported
PolyDraw | Supported
Polygons | Supported
Polyline | Supported
Raster | Supported
Rectangle | Supported
Round Rectangle | Restricted Support
Spline | Supported
Text | Supported
Text(Color and Font Type) | Supported
Vertex | Supported

Related Formats: CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WPG - WordPerfect Vector Format


WordPerfect Graphics Format (WPG and VWPG)

The WordPerfect (WPG) format can contain vectored or raster images. LEADTOOLS ePrint Professional handles both the raster images and the vector images.

Special notes for the Vector Images:

VWPG (Vector Word Perfect Graphics) is a vector format created by COREL. There are two versions (version1 and version2) of the VWPG file format. Each has its own format and specifications. LEADTOOLS ePrint Professional supports only version2 of this format. This file format is supported by COREL DRAW 8.0.

The default extension used by this format is: WPG.

This file format does support layers and embedded raster objects, but not grouping.

LEADTOOLS ePrint Professional can save the following objects: Line, Polyline, Rect, Polygon, Ellipse, Circle, Arc, Elliptical arc, Pie, Chord, Text, Polydraw, Polybezier, and Image.

When vector WPG files are rasterized, they are 24 BPP.

Related Formats:

CGM - Computer Graphics Metafile, DRW - Micrografx Designer DRaWing, DWF - DWF Format, DXF - Drawing Interchange Format, EMF - Windows Metafile Formats, GBR - Gerber Format, PCL - Printer Command Language Format, PCT - Macintosh Pict Format, PDF - Portable Document Format, PLT - PLT / HPGL Format, SHP - ESRI Shape Format, WMF - Windows Metafile Formats


XPicMap Format (XPM)

XPM files are used to store X Window PixMap information to disk. They are capable of storing black-and-white, grayscale, and color images. XPM stores image data in the form of ASCII text formatted as a standard C character string array.


X Window Dump (XWD)

XWD stands for X Window dump. This file format is used to store and restore screen window images. Two versions of this file exist, the X10 window dump and the X11 window dump. These versions differ slightly in the format of the data (i.e. headers and bits per pixel).

The version X10 XWD file cannot have more than 8 BPP image data.


Image Object Content Architecture Format (IOCA/MODCA)

The Image Object Content Architecture format was developed by IBM. This architecture provides a consistent way to represent images, including conventions and directions for processing and interchanging image information. LEADTOOLS ePrint Professional supports single and multi-page files in a MO:DCA wrapper with embedded 1-bit CCITT, Group 3 or Group 4 images, IBM MMR and uncompressed IOCA. LEADTOOLS ePrint Professional also supports IOCA files without the MO:DCA wrapper. LEADTOOLS ePrint Professional saves all these formats.

The default extension used by this format is: ICA.

This file format does not support stamps or Lossless JPEG compression, but it does support multi-page files. For this file format, LEADTOOLS ePrint Professional supports CCITT, G3(1D, 2D), CCIT G4, and IBM MMR compression. LEADTOOLS ePrint Professional does not support RL4, and Color Compression used by OS/2.

LEADTOOLS ePrint Professional supports saving multi-page files in this format.

Related Formats: CAL - CALS Raster Format, FAX - Raw Fax Format, TIFF - Tagged Image File Format, CCITT


Intergraph RLE (ITG)

Intergraph is a monochrome bitmap format developed by Intergraph. LEADTOOLS ePrint Professional supports the RLE and CIT versions of this file format.

The default extensions used by this format are: ITG and CIT.

This file format does not support stamps or Lossless JPEG compression. For this file format, LEADTOOLS ePrint Professional supports CCITT G4 and RLE compression.

Currently LEADTOOLS ePrint Professional saves the ITG and CIT format.


LEAD 1-Bit Format (CMP)

LEAD 1BIT is a proprietary 1-bit LEAD compressed format that has better compression and performance than other 1-bit formats.

You can read and write files in this format.


Miscellaneous 1-Bit Formats (MAC, IMG, and MSP)

LEADTOOLS supports reading and writing of the following 1-bit formats:

  • MacPaint (MAC). These Macintosh Paint files are commonly used for monochrome clip art.

  • GEM Image (IMG). These files are native to the Graphical Environment Manager developed by Digital Research.

  • Microsoft Paint (MSP). These files from early versions of Windows are used for black-and-white drawings and clip art.

  • JBIG. JBIG compression was designed primarily for bi-level images, however it can also compress grayscale and color images.


SMP Format (SMP)

The SMP file contains a 1-bit raster bitmap. It may be uncompressed, compressed using CCITT Group 3 or compressed using CCITT Group 4. LEADTOOLS ePrint Professional supports saving for all these types.

The default extension is .SMP.

This format was created by Xionics and is used in PixEdit for Techsoft.


TIFF CCITT and Other FAX Formats

LEADTOOLS ePrint Professional supports writing of the following 1-bit formats that is commonly used in FAX transmissions:

TIFF

  • TIFF CCITT. These are compressed TIFF files that are commonly used for FAX transmission and document imaging.

  • TIFF CCITT Group 3. These are TIFF CCITT files in a format that is more advanced and more compressed than TIFF CCITT. LEADTOOLS ePrint Professional supports both 1-dimension and 2-dimension variations of this format.

  • TIFF CCITT Group 4. These are TIFF CCITT files in a format that is more advanced and more compressed than TIFF CCITT Group 3.

  • For more information refer to TIFF - Tagged Image File Format.

CALS

  • CALS Raster (Type 1, 2, 3, and 4). These are CCITT Group 4 CALS raster files. CALS is a United States government standard. CALS3 are multi-page files.

IOCA

  • IOCA (ICA). This is the Image Object Content Architecture developed by IBM. LEADTOOLS ePrint Professional supports these files in an MO:DCA wrapper with embedded 1-bit CCITT Group 3 or Group 4 images. LEADTOOLS ePrint Professional also supports IOCA files without an MO:DCA wrapper.

For more information refer to Image Object Content Architecture Format (IOCA/MODCA).

WinFax

  • WinFax Group 3. This is a FAX format created by Delrina for Group 3 support.

  • WinFax Group 4. This is a FAX format created by Delrina for Group 4 support.

Raw FAX

  • FAX Group 3. This is a raw FAX format (without a header) for Group 3 support. LEADTOOLS ePrint Professional supports both 1-dimension and 2-dimension variations of this format.

  • FAX Group 4. This is a raw FAX format (without a header) for Group 4 support.

Related Formats: TIFF - Tagged Image File Format.

Microsoft Fax

  • AWD. This is a Microsoft FAX format.

TIFF-FX

TIFF-FX. These are Internet Fax files developed and used by Xerox. This format supports several types of compression, which allows the user or developer to use the compression that best suits his or her needs. In addition, this file format can be extended as the need arises. The following modes are supported:

  • Minimal Black and White: This mode uses binary MH compression (T.4).

  • Extended Black and White: This mode uses binary MH, MR and MMR compression (T.4 and T.6).

  • Lossless JBIG Black and White: This mode uses JBIG compression (T.85, T.82).

  • Lossy Color and Grayscale: This mode uses JPEG compression (T.42, T.81).

  • Lossless Color and Grayscale: This mode uses JBIG compression (T.43, T.82).

The default extensions used by this format is: TIFX, TIFF.

This file format does support multi-page files.

Related Formats: TIFF - Tagged Image File Format.


XBitMap (XBM)

XBM is a monochrome bitmap format in which data is stored as a C language data array. It is primarily used for the storage of cursor and icon bitmaps, for use in the X graphical user interface.

Related Formats: BMP - Windows Bitmap Formats.


How to open and close the LEADTOOLS Screen Capture Toolbar

To open the LEADTOOLS Screen Capture Toolbar:

1. | Right-click the Windows taskbar, and select Toolbars> from the menu.
2. | From the Toolbars sub-menu, select "LEADTOOLS Screen Capture Utility", so that a check mark is displayed beside it, as shown in the following figure:

To close the LEADTOOLS Screen Capture Toolbar toolbar:

1. | Right-click the Windows taskbar, and select "Toolbars" from the menu.
2. | From the Toolbars sub-menu, clear the check mark that is beside the "LEADTOOLS Screen Capture Utility".


How to capture an image with the LEADTOOLS Screen Capture Toolbar

1. | On the LEADTOOLS Screen Capture Toolbar, click the Capture Properties button ( [image] ) , then choose General Options from the menu.
2. | When the Capture Options dialog appears, click the Hotkey field box. Clear the field by pressing the Backspace key so that "None" appears. Now press the key to be used for capture. For example, press <F10>. Note: Unless you wish to change the hotkey, you only need to do this the first time you use the toolbar. You can change this hotkey any time.
3. | On the toolbar, click the View Thumbnails button ( [image] ) to open the Captured Images window . You can close and re-open this window whenever needed to view your captured images.
4. | On the toolbar, click the Select Capture Options button ( [image] ), then choose a capture type from the menu. For example, select "Menu Under Cursor."
5. | On the toolbar, click the Start Capture button ( [image] ).
6. | Open, close, display, select, or otherwise navigate to what you wish to capture. For example, roll your cursor over a menu item, display a sub-menu, and roll your cursor over an option.
7. | Press the hotkey you assigned in step 2 above. For example, press <F10>.
8. | Repeat steps 6–7 as many times as needed. Thumbnails of your captured images will appear in the Captured Images window (step 3, above).
9. | In the Captured Images window, select a thumbnail and then right-click it. When the Captured Images Context Menu appears, choose Save. Note: you can also select multiple images, then right-click and choose Export All.
10. | Select the desired options in the Save Images dialog, then click Save.
11. | Click the Stop Capture button ( [image] ) when you are finished.


LEADTOOLS Screen Capture Toolbar

The LEADTOOLS Screen Capture Toolbar can be added to or removed from the Windows taskbar on your computer screen. It displays buttons for common tasks and frequently used commands.

Holding your mouse pointer over any button will display a pop-up (tool tip) of that button's name near the cursor. A button appears grayed-out if its corresponding command is unavailable.

The following table shows the tools and their descriptions:

Command | Description
View thumbnails | Shows or hides the Captured Images dialog which displays thumbnails of all captured images.
Capture Properties | Opens the Capture Properties Menu.
Select Capture Option | Opens the Select Capture Option Menu.
Start Capture | Signals that you wish to use your designated hotkey to start capturing images. Note: You must first set your capture hotkey .
Stop Capture | Ends the capture process and "releases" your designated capture hotkey. You can also designate a cancel hotkey .
Help | Opens the LEADTOOLS Screen Capture Toolbar help.


Captured Images Window

The Captured Images window acts as a clipboard to display thumbnails of your captured images:

To open the window, click the View Thumbnails button ( [image]) on the toolbar. Right-click any thumbnail to Copy, Delete, or Save the image. Thumbnails remain in the Captured Images Window until you delete them.


LEADTOOLS Screen Capture Toolbar Menus

Open LEADTOOLS Screen Capture Toolbar menus by right-clicking an image in the Captured Images Window, or clicking its toolbar button.

The following menus are available:

  • Captured Images Context Menu.

  • Capture Properties Menu.

  • Select Capture Options Menu.

  • Help Menu .

Select menu commands by:

  • Clicking the item in the menu, or

  • Using the cursor or the <ê>, and <é> keys to highlight a menu item, and then pressing the Enter key.

The Select Capture Options Menu has an Area Sub Menu.


Captured Images Menu

Right-click any thumbnail in the Captured Images Window to open the Captured Images Menu. The following table lists the commands on the Captured Images menu and gives a brief description of each command:

Command | Description
Copy | Copies the selected item to the Windows clipboard.
Delete | Deletes the selected item(s) from the Captured Images Window.
Delete All | Deletes all item(s) from the Captured Images Window.
Select All | Selects all item(s) from the Captured Images Window.
Save | Saves the selected item(s). This will display the Save Images Dialog, allowing you to specify the file name and the image format. If you select multiple thumbnails and specify a file format that supports multipage files, the images will be saved as a single file. If you specify a format that does not support multipage files, the images will be saved as "filename_0," "filename_1," etc. in the format you specify.
Export All | Saves all items in the Captured Images Window. When the Save Images Dialog opens, type a filename and specify an export format. If you specify a file format that supports multipage files, the images will be saved as a single file. If you specify a format that does not support multipage files, the images will be saved as "filename_0," "filename_1," etc. in the format you specify.


Capture Properties Menu

Click the Capture Properties toolbar button: to open the Capture Properties menu. This menu allows you to specify capture options before starting the capture process.

The following table lists the commands on the Capture Properties menu and gives a brief description of each command:

Command | Description
Clipboard | If this menu item is selected, then captured images will be saved in the Windows clipboard in addition to being saved in the image list. Use it to "Paste" the capture image into other applications that support the Windows clipboard.
General | Displays the Capture Options Dialog, which contains general capture options.
Area | Displays the Capture Area Options Dialog, which contains area capture options.
Selected Objects | Displays the Capture Object Options Dialog, which contains capture object options.


Select Capture Options Menu

Click the Select Capture Options toolbar button: to open the Select Capture Options menu. This menu allows you to specify the type of capture object to be used for the next capture.

The following table lists the commands on the Select Capture Options menu and gives a brief description of each command:

Command | Description
Active Window | Captures the current window.
Active Client | Captures the current window excluding window’s title and borders.
Full Screen | Captures everything appearing on your monitor.
Selected Object | Lets you select an object to capture. After you press the capture key, move the mouse cursor over the object to highlight it. When the cursor is over the desired object, click to capture it.
Menu Under Cursor | Captures the current pull-down menu.
Window Under Cursor | Captures the window over which the mouse cursor is.
Area | Opens the Area sub menu.
Mouse Cursor | Captures the mouse cursor.
Capture Wallpaper | Performs an immediate capture of the current wallpaper. If no wallpaper is set, nothing is captured.
CaptureFromExeDlg (TreeView) | Opens the Capture From Executable File Dialog so you can open resources such as bitmaps, icons or cursors from EXEs or DLLs, allowing you to capture and save them as image files.
CaptureFromExeDlg (TabView) | Opens the Capture From Executable File Dialog so you can open resources such as bitmaps, icons or cursors from EXEs or DLLs, allowing you to capture and save them as image files.


Area Sub Menu

Use the Area sub menu to specify the shape of the area to be captured. To open this menu, click the Select Capture Options toolbar button ( [image]).

The following table lists the commands on the Area sub menu and gives a brief description of each command:

Command | Description
Rectangle | Allows you to select a rectangular area for capture. Select the starting position by clicking the left mouse button. Drag the cursor and release the left mouse button to define the bounding-area for the shape.
Rounded Rectangle | Allows you to select a rounded rectangular area for capture. Select the starting position by clicking the left mouse button. Drag the cursor and release the left mouse button to define the bounding-area for the shape.
Ellipse | Allows you to select an elliptical area for capture. Select the starting position by clicking the left mouse button. Drag the cursor and release the left mouse button to define the bounding-area for the shape.
Polygon | Allows you to select a polygonal area for capture. Select the starting position by clicking the left mouse button and releasing it. Then drag the cursor and click at each of the corner points of the polygon to define the bounding-area for the shape. Double-click to close the shape.
Freehand | Allows you to select a freehand area for capture. Select the starting position by clicking the left mouse button. Drag the cursor and release the left mouse button to define the bounding-area for the shape.
Triangle | Allows you to select a triangular area for capture. Select the starting position by clicking the left mouse button. Drag the cursor and release the left mouse button to define the bounding-area for the shape.


Help Menu

Click the toolbar help button: to open the Help menu. The following table lists the commands on the Help menu and gives a brief description of each command:

Command | Description
Help… | Opens this help file.
About… | Displays copyright, technical support, and contact information.


LEADTOOLS Screen Capture Dialogs

LEADTOOLS Screen Capture Toolbar Dialogs

Selecting most menu options will open a dialog that allows you to select or set image capture and save details. These Include:

Save Images Dialog | Capture Object Options Dialog
Capture Area Options Dialog | Capture Options Dialog
About Dialog | Capture Selected Object Options Dialog
Capture From Executable File Dialog (Tab View) | Capture From Executable File Dialog (Tree View)


About Dialog

To display the About dialog, click the help button: , then select About

from the Help Menu:

This dialog provides copyright and contact information for the LEADTOOLS Screen Capture Toolbar.


Capture Area Options Dialog

Use Capture Area Options dialog to set capture area options.

To display the Capture Area Options dialog, click the Capture Properties toolbar button. . Then from the Capture Properties Menu select Area.

The following fields are on the Capture Area Options dialog:

General Options Group

Area Type Drop-down list

Use to set which shape to capture. Available shapes are rectangle, rounded rectangle, ellipse, triangle, polygon, and freehand.

Note: The Rounded Rectangle shape uses the values in the Ellipse Width and Ellipse Height text boxes to calculate its corners.

Draw Line Style Drop-down list

Use to choose the line style for the border used during capture.

Fill Pattern Drop-down list

Use to choose the fill pattern for the background of the capture.

Any non-rectangular capture will have some background area that will need to be filled, because the captured area will be placed onto the smallest rectangle that can fully contain it.

Draw Cursor Drop-down list

Use to select which cursor to display during area selection. This is only enabled if the Use Cross-Lines Cursor check box is cleared.

Ellipse Width Edit box

Use to set the size of the ellipses that will be used for the corners of a Rounded Rectangle shaped area capture.

Ellipse Height Edit box

Use to set the size of the ellipses that will be used for the corners of a Rounded Rectangle shaped area capture.

Include Cursor In Captured Area Check box

Use to specify whether the capture cursor (defined in the General Capture Options Dialog) will appear at the mouse-cursor location (if it inside the captured area) at the time of capture.

Use Cross-Lines Cursor Check box

Select this check box to use the default cross-lined cursor when selecting an area.

Bitmap With Region Check box

Select this check box to create an image from the screen capture with the current selection set to the shape, which was captured.

Show Draw Cursor Check box

Select this check box to enable or disable the visibility of the area-selection cursor.

Enable Keyboard Check box

Select this check box to allow the <Ctrl>, <Shift>, <+>, < - > keys to affect the capture.

<+> or < - > keys are used for zooming in or zooming out of the information window.

If an area is a rectangle, round rectangle, or ellipse, pressing <Ctrl> key will center the drawing.

If an area is a rectangle, round rectangle, or ellipse, pressing <Shift> key will draw regular shapes (that is, an ellipse becomes a circle, a rectangle becomes a square, etc.)

Info Window Options Group

The Info Window Options Group lets you manage the settings for the Information Window. The Information Window provides information about the cursor being used to take the capture.

Position X Drop-down list

Use to set the information-window position to left, right, or custom.

Position Y Drop-down list

Use to set the information window position to top, bottom, or custom.

Width Drop-down list

Use to set the width of the information window to Tiny, Small, Medium, Large, X-Large or custom.

Height Drop-down list

Use to set the height of the information window to Tiny, Small, Medium, Large, X-Large or custom.

Custom Values

When position or size is custom, use these edit boxes to set the custom values.

Position X Edit box

Use to set the information window x position value when the Position X drop-down box is set to custom.

Position Y Edit box

Use to set the information window y position value when the Position Y drop-down box is set to custom.

Width Edit box

Use to set the information window width value when Width is set to custom.

Height Edit box

Use to set the information window Height value when Height is set to custom.

Zoom Drop-down list

Use to set the amount of magnification applied to the pixels around the mouse cursor when viewed in the information window.

Show Cursor Position Check box

Select this check box to show the cursor position in the information window.

Show Info Window Check box

Select this check box to enable or disable visibility of information window.

Show Capture Size Check box

Select this check box to show capture size information in the information window.

Sensitive Info Window Check box

Select this check box to enable/disable Sensitive detection for the information window position.

Show Opaque Text Check box

Select this check box to enable or disable text-background opacity in the information-box tool-tips showing position and size of the captured area.

Colors Group

Colors Drop-down list

Selects what to color.

The following values are possible:

  • Area Fill Foreground: Sets the area fill foreground color.

  • Area Fill Background: Sets the fill color to be used for any portion of the resulting image that is not contained within the user-defined selection (used in non-rectangular captures).

  • Draw Polygon/Freehand Line: Sets the color of the line that marks the polygonal or freehand capture selection boundary while it is being drawn.

  • Cursor Position/Area Size Text: Sets the color of the text in the information-box tool-tip showing position and size of captured area while the selection is being drawn.

  • Cursor Position/Area Size Background: Sets the color of the background in the information-box tool-tip showing position and size of captured area while the selection is being drawn.

Set Color Button

Click this button to display a color palette. Select a color from the palette and close the dialog when finished. The selected color will be associated with the item in the drop-down list beside it.

Default Button

Click Default to restore default dialog options.

OK Button

Click OK to close the dialog and save changes.

Cancel Button

Click Cancel to close the dialog and discard all changes.


Capture Selected Object Options Dialog

Use this dialog to choose options about objects like cursors and borders for use during object capture:

To display the Capture Selected Object Options dialog, click the Capture Properties toolbar button: and select Selected Objects from the Capture Properties Menu

The following fields are on the Capture Object Options dialog:

Draw Cursor Drop-down list

Use to set the cursor which will be visible during the object capture operation.

Border Width Edit box

Use to set the width of the border which will appear around objects under the cursor during object capture.

Invert Selected Object Check box

Use to cause the object under cursor to appear in inverted colors during object capture.

Enable Key Board Check box

Use Enable the <Shift> key during the selection process. Pressing the <Shift> key will select the interior area of the object.

Default Button

Click Default to restore the default settings to all dialog options.

OK Button

Click OK to close the dialog and save changes.

Cancel Button

Click Cancel to close the dialog and discard all changes.


Capture Options Dialog

Use the Capture Options dialog to set up some general capturing preferences like hotkey, multi-capture settings, and cursor options:

To display the Capture Options dialog, click the Capture Properties toolbar button: and select General Options from the Capture Properties Menu

The following fields are on the Capture Options dialog:

HotKey Text edit box

Use to set the key that you will be using to trigger screen capture. Click inside the edit box and then press the key you want to use. The screen capture hotkey is <F11> by default.

Delay Text edit box

Use to set the time interval between pressing the HotKey and beginning the capture. This value defaults to 0 (capture starts immediately).

Repeat Text edit box

Use to set the number of captures to perform. This value defaults to 1.

Interval Text edit box

Use to specify how long to wait between captures, in seconds. Only applicable if the repeat value is greater than 1.

Cancel Key Text box

Use to specify which key to use to stop and abort capturing. This box is disabled if the Use Esc Key check box is selected. Do not use the <Shift> key

Use Esc Key Check box

Select the check box to set the <Esc> key to be used to end capture.

Captured Cursor Drop-down list box

Use to select which cursor to place onto the captured image. To choose no cursor, select the cursor that is crossed out.

Delay Cursor Drop-down list box

Use to select which cursor to use between multiple captures. To choose no cursor, select the cursor that is crossed out.

OK Command button

Click OK to close the dialog and save the changes.

Cancel Command button

Click Cancel to close the dialog and discard the changes.


Save Images Dialog

Use the Save Images dialog to specify the save options for an Image file:

To display the Save Images dialog, select any thumbnail in the Captured Images Window , and then right-click it. From the Captured Images Context Menu, choose Save.

For general descriptions of supported file formats, refer to Summary of All Supported Image File Formats.

For more information regarding file compression and compression options, see:

Compression Using LEAD and JPEG Formats

Compression Quality Factors

The following fields are on the Save Images dialog:

Save in Drop-down list box

Select the drive or folder where the file is to be stored. When you select a drive or folder from the Save In list, the contents of the selected drive or folder appears in the list below.

File Name Text edit box

Type the name of the file being saved.

Save as type Drop-down list box

Select the file format for the file being saved.

BPP Drop-down list box

Select the bits per pixel to be used for the file being saved

Sub Type Drop-down list box

Select the sub-types for the image format selected in the Save As Type drop-down list. This will often list alternate image compression techniques for a given type of file.

Options Command button

If a file format supports special options (progression, multipage files, stamps, compression or QFactor), the Options button enables. Click the button to open the File Save Options dialog to configure those features.

QFactor Drop-down List

Select a quality factor representing how to trade off compression with quality when compressing the file.

QFactor Edit Box

Files saved as LEAD CMP or Wavelet, JPEG, JPEG2000, and TIFF with JPEG compression files can use a custom QFactor. A custom QFactor is a numeric value that represents how much data loss is acceptable for the file being saved as a compressed file. Valid values are 2 (highest quality) to 255 (lowest file size).

Save Command button

Click Save to save the file and close the dialog box.

Cancel Command button

Click Cancel to close the dialog box.


Capture From Executable File Dialog (Tab View)

Use the Capture From Executable File Dialog (Tab View) dialog to capture resource images, icons, etc. from an EXE or DLL file.

To display the Capture From Executable File Dialog (Tab View), click the Select Capture Option button ( [image]) on the Screen Capture Toolbar and select CaptureFromExeDlg (TabView). The dialog is shown in the following figure:

The following fields are on the Capture From Executable File Dialog (Tab View):

Tabs

Tabs display the different bitmaps, icons and cursors stored in EXE or DLL files.

Preview Pane

View the item selected to be captured.

Red Slider (Icons tab only)

Set the red value for the selected item.

Blue Slider (Icons tab only)

Use this slider to set the blue value for the selected item.

Green Slider (Icons tab only)

Set the green value for the selected item.

Browse Command button

Click to open a Browse dialog to navigate to the specific EXE or DLL file that contains the resource to be captured.

Capture Command button

Click to begin capturing the selected resource in the tab control. If no resource item is selected, this button is disabled.

Close Command button

Click to close the dialog.


Capture From Executable File Dialog (Tree View)

Use the Capture From Executable File Dialog (Tree View) to capture resource images, icons, etc. from EXE or DLL files.

To display the Capture From Executable File Dialog (Tree View), click the Select Capture Option button ( [image]) on the Screen Capture Toolbar and select CaptureFromExeDlg (TreeView). The dialog is shown in the following figure:

The following fields are on the Capture From Executable File Dialog (Tree View):

Tree

Show and select images, icons, etc. stored in an EXE or DLL file.

Preview

View the item to be captured.

Red Slider (Icons branch only)

Set the red value for the selected image.

Blue Slider (Icons branch only)

Set the blue value for the selected image.

Green Slider (Icons branch only)

Set the green value for the selected image.

Browse Command button

Click to open a Browse dialog to navigate to the specific EXE or DLL file that contains the resources being captured.

Capture Command button

Click to start capturing the selected resource in the tree control. If no resource item is selected, this button is disabled.

Close Command button

Close the dialog.


ePrint SOFTWARE LICENSE AGREEMENT – End User Edition

THIS SOFTWARE LICENSE AGREEMENT ("AGREEMENT") IS A LEGAL CONTRACT BETWEEN YOU (EITHER AN INDIVIDUAL OR AN ENTITY) AND LEAD TECHNOLOGIES, INC. ("LEAD"). BY INSTALLING OR USING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, REMOVE THE PRODUCT FROM YOUR HARD DRIVE AND PERMANENTLY ERASE ALL COPIES OF THE PRODUCT. IF THE SOFTWARE HAS BEEN DELIVERED TO YOU ON PHYSICAL MEDIA, SUCH AS A CD OR THUMB DRIVE, YOU MUST PROMPTLY RETURN THE SOFTWARE WITH PROOF OF PURCHASE TO THE PLACE WHERE IT WAS PURCHASED FOR A FULL REFUND OF THE AMOUNT PAID. IF THE SOFTWARE YOU HAVE DOWNLOADED IS OFFERED AS "DOWNLOAD ONLY", YOU HAVE BEEN REQUIRED TO ACCEPT THIS LICENSE AGREEMENT PRIOR TO DOWNLOADING THE SOFTWARE. LEAD DOES NOT PROVIDE REFUNDS FOR SOFTWARE OFFERED AS "DOWNLOAD ONLY".

Part 1 below applies to you if you have licensed LEADTOOLS ePrint – End User Edition. Part 2 below applies to you if you have licensed LEADTOOLS ePrint Terminal Server Edition. Part 3 applies to you in all cases.

PART 1 – END USER EDITION

GRANT OF LICENSE. This License Agreement permits you to use one copy of the accompanying LEAD software program known as LEADTOOLS ePrint Professional, in machine readable binary object code form, (the “Software”), which may include electronic documentation, on a single computer/workstation. The Software is “in use” on a computer when it is loaded into the temporary memory (i.e., RAM or Cache) or installed into a permanent memory (e.g., hard disk, CD-ROM drive or other storage device) of that computer. This License does not constitute a sale and does not authorize a sale of the Software or anything created thereby. All intellectual property rights (including copyright, trademark and patent) in the Software are owned by LEAD and its suppliers and licensors, and are protected by the United States laws and international treaty provisions. LEAD and its suppliers and licensors retain all rights not expressly granted herein. You must treat the Software like any other copyrighted material, except that you may make one copy of the Software solely for backup or archival purposes. You may transfer your rights under this Agreement on a permanent basis provided you transfer the license granted by this Agreement, and the Software and all associated printed materials, and you retain no copies, and the recipient agrees to all of the terms of this Agreement.

    • You may not use the Software on or over a network or any other transfer device (including the Internet). Use of the Software on more than one computer constitutes copyright infringement and may be punishable by civil fines, criminal penalties, or both.

    • You may not rent or lease the Software

    • You may not translate, reverse engineer, decompile or disassemble the Software, except to the extent expressly permitted by applicable law.

    • You may not remove any proprietary notices or labels in the Software.

    • You may not copy the printed materials accompanying the Software or distribute printed copies of any user documentation provided in electronic format.

    • You may not publicly perform or publicly display the Software.

In the event you fail to comply with any of the terms or conditions of this license, your rights to use the Software will end, you shall stop using the Software, remove the Software from your computer and permanently erase all copies of the Software. You may terminate this License at any time by destroying the Software and all copies thereof. You may not export or re-export the Software or any underlying information or technology except in full compliance with all United States and other applicable laws and regulations.

PART 2 – TERMINAL SERVER EDITION

GRANT OF LICENSE. This License Agreement covers LEAD’s software product known as LEADTOOLS ePrint Professional Terminal Server Edition, in machine readable binary object code form, and the applicable user manual comprised of an on line help file (herein, the “Software”). The Software consists of a type of software generally known as “Server Software”, that provides services on a networked computer called a “Server”. LEAD grants to you the following nonexclusive and nontransferable license rights to the Software:

  1. You may install one (1) copy of the Software on a single computer containing no more than four (4) core microprocessors/CPUs (the computer running the Software shall be referred to as a “Licensed Server”). If you wish to install the Software on more than one computer, an additional copy of the Software must be licensed for each additional computer. If you wish to install the Software on a computer that has more than four (4) core microprocessors/CPUs, an additional copy of the Software must be licensed for each additional set of up to four (4) core microprocessors/CPUs. (For example, a computer with twelve (12) core processors will require three (3) copies of the Software.

  2. When installed and set up on the Licensed Server, the Software will operate as virtual printer on which a Licensed User may convert print jobs into image, vector or document files and related tasks. A Licensed User is a user who is directly using the machine comprising the Licensed Server or is accessing the Software installed on the Licensed Server via a terminal device that is connected to the Licensed Server. If you have obtained an Unlimited Server License, the Software installed on the Licensed Server may be accessed by an unlimited number of Licensed Users, provided the Software may only be installed on the Licensed Server. If you have not obtained an Unlimited Server License, a user license must be purchased for each for each Licensed User. Licenses for ten (10) Licensed Users is included with your initial purchase. Neither the Software, nor any portion thereof, may be distributed to any of the terminal devices or other computers that are connected to a Licensed Server.

This License does not constitute a sale and does not authorize a sale of the Software. All intellectual property rights (including copyright, trademark and patent) in the Software are owned by LEAD and its suppliers and licensors, and are protected by the United States laws and international treaty provisions. LEAD and its suppliers and licensors retain all rights not expressly granted herein

PART 3 – GENERAL TERMS AND CONDITIONS. For purposes of this Part 3, “Software” refers to LEADTOOLS ePrint Professional – end user edition and LEADTOOLS ePrint Professional Terminal Server Edition.

LIMITED WARRANTY. LEAD and its suppliers and licensors warrant to the original installer of the Software, for a period of thirty (30) days from the date of purchase, that the media on which the Software is distributed is substantially free from defects in materials and workmanship. Except as set forth above, the Software is sold “as is,” without any express or implied warranties of any kind. ANY AND ALL IMPLIED WARRANTIES WITH RESPECT TO THE SOFTWARE AND THE ACCOMPANYING WRITTEN MATERIALS, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NONINFRINGMENT ARE EXPRESSLY DISCLAIMED.

REMEDIES. Your exclusive remedy shall be, at LEAD’s sole option, (a) the refund of the amount you paid for the Software or (b) repair or replacement of the Software, provided that the defective Software is returned to LEAD (at LEAD Technologies, Inc., 1927 South Tryon Street, Suite 200, Charlotte, NC 28203, telephone 704-332-5532) along with proof of the date of purchase within thirty (30) days from the date of purchase. This limited Warranty is void if failure of the Software has resulted from accident, abuse, neglect or misapplication. Any replacement Software will be warranted for thirty (30) days.

LIMITATION OF LIABILITIES. IN NO EVENT WILL LEAD OR ITS SUPPLIERS AND LICENSORS BE LIABLE FOR ANY INDIRECT, SPECIAL, INCIDENTAL, ECONOMIC, COVER, CONSEQUENTIAL, EXEMPLARY OR PUNITIVE DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, USER DOCUMENTATION, OR RELATED TECHNICAL SUPPORT, INCLUDING, WITHOUT LIMITATION, DAMAGES OR COSTS RELATING TO THE LOSS OF PROFITS, BUSINESS, GOODWILL, DATA, TIME OR COMPUTER PROGRAMS, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL LEAD’S AND ITS SUPPLIERS’ AND LICENSORS’ LIABILITY EXCEED THE AMOUNT PAID BY YOU FOR THE SOFTWARE REGARDLESS OF THE FORM OF THE CLAIM (INCLUDING, WITHOUT LIMITATION, ANY CONTRACT, PRODUCT LIABILITY OR TORT CLAIM). BECAUSE SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

U.S. GOVERNMENT RESTRICTED RIGHTS. The Software and user documentation is provided with RESTRICTED RIGHTS AND LIMITED RIGHTS. Use, duplication, or disclosure by the government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software-Restricted Rights at CFR 52.227-19, as applicable. LEAD Technologies, Inc., 1927 South Tryon Street, Suite 200, Charlotte, NC 28203.

INDEMNIFICATION. In the event that a claim is filed in a court of competent jurisdiction alleging that the Software used within the scope of the license granted hereunder directly infringes any copyright or trade secret of any third party (“Infringement Action”), LEAD shall indemnify, defend and hold Licensee harmless from and against such Infringement Action and any and all costs, damages, penalties and expenses, including reasonable attorneys’ fees, finally resulting from or awarded in actions attributable to such claim, provided that (a) Licensee promptly notifies LEAD in writing of the existence of such Infringement Action when Licensee becomes aware of such Infringement Action, (b) LEAD has control of the defense of such Infringement Action and all related settlement negotiations, and (c) Licensee provides all reasonable assistance and cooperation in such defense. In the event of an infringement claim for which LEAD is obligated to indemnify Licensee, LEAD may, at its sole discretion, (i) obtain a license that allows Licensee to continue using the Software, or (ii) replace or modify the Software so as to be non-infringing in a manner that does not materially affect its functionality. The foregoing represents LEAD’s sole responsibility to Licensee in the event of a third party infringement claim of any kind, and it is agreed that LEAD will have no responsibility or liability whatsoever in connection with any third party patent claims.

MISCELLANEOUS. No change or modification of the License will be valid unless it is in writing and is signed by LEAD. The provisions of this Agreement are severable; if any provision is held to be invalid or unenforceable, it shall not affect the validity or enforceability of any other provision. If the Software was acquired outside the United States, then local law may apply. Any and all disputes arising hereunder will be heard and settled exclusively in state or federal courts located in the city of Charlotte, County of Mecklenburg, North Carolina, and you hereby submit to the jurisdiction of such courts.


Products and Licensing

LEADTOOLS Products and Licensing

LEADTOOLS products are ideal for developers involved in still frame, multimedia, document, medical, and vector imaging projects, including Internet/Intranet applications. Independent of the specific application requirement – scanning, file format support/conversion, compression, image processing, annotation, database support, multimedia, etc. – LEADTOOLS provides the most comprehensive, robust, flexible, and powerful imaging solutions available.

For LEADTOOLS Licensing information, refer to the Licensing help file at http://www.leadtools.com/help/leadtools/v18/licensing/.

To review the full line of ePrint products, refer to http://www.eprintdriver.com/Products.

Contact Us:

LEAD Technologies, Inc.
Suite 200
1927 South Tryon Street
Charlotte, NC 28203

Email:

Website:

Phone:

FAX:

Tech Support:

sales@leadtools.com

http://www.eprintdriver.com, http://www.leadtools.com

(704) 332-5532

(704) 372-8161

See the Technical Support page.